Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# SocketStreamRecorder Class Reference

Records any data received from the indicated socket stream. More...

Inheritance diagram for SocketStreamRecorder:

List of all members.

## Public Member Functions
| SocketStreamRecorder ()
| SocketStreamRecorder (SocketStream stream, bool owns_stream)
| close ()
| See SocketStream.close().
bool | considerFlush ()
| See SocketStream.consider_flush()
bool | flush ()
| See SocketStream.flush()
bool | getCollectTcp ()
| See SocketStream.get_collect_tcp().
double | getCollectTcpInterval ()
| See SocketStream.get_collect_tcp_interval().
bool | isClosed ()
| See SocketStream.is_closed().
bool | receiveDatagram (Datagram dg)
| Receives a datagram over the socket by expecting a little-endian 16-bit byte count as a prefix.
bool | sendDatagram (Datagram const dg)
| See SocketStream.send_datagram().
| setCollectTcp (bool collect_tcp)
| See SocketStream.set_collect_tcp().
| setCollectTcpInterval (double interval)
| See SocketStream.set_collect_tcp_interval().
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

Records any data received from the indicated socket stream.

On playback, it will act as if the incoming data is coming over the wire again even if an actual connection is not available.

Outbound data will not be recorded, but will be sent straight through to the socket if it is connected, or silently ignored if it is not.

## Constructor & Destructor Documentation

SocketStreamRecorder | ( |  | ) |

SocketStreamRecorder | ( | SocketStream | stream,
|  | bool | owns_stream
| ) |  |

## Member Function Documentation

close | ( |  | ) |

See SocketStream.close().

bool considerFlush | ( |  | ) |

See SocketStream.consider_flush()

bool flush | ( |  | ) |

See SocketStream.flush()

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from RecorderBase.

bool getCollectTcp | ( |  | ) |

See SocketStream.get_collect_tcp().

double getCollectTcpInterval | ( |  | ) |

See SocketStream.get_collect_tcp_interval().

bool isClosed | ( |  | ) |

See SocketStream.is_closed().

bool receiveDatagram | ( | Datagram | dg | ) |

Receives a datagram over the socket by expecting a little-endian 16-bit byte count as a prefix.

If the socket stream is non-blocking, may return false if the data is not available; otherwise, returns false only if the socket closes.

bool sendDatagram | ( | Datagram const | dg | ) |

See SocketStream.send_datagram().

setCollectTcp | ( | bool | collect_tcp | ) |

See SocketStream.set_collect_tcp().

setCollectTcpInterval | ( | double | interval | ) |

See SocketStream.set_collect_tcp_interval().

All Classes Namespaces Functions Variables Enumerations Enumerator Properties